Bug 874558 - openstack-demo-install script missing configurations
Summary: openstack-demo-install script missing configurations
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openstack-utils
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-08 12:59 UTC by Nir Magnezi
Modified: 2013-01-12 00:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-17 01:31:15 UTC


Attachments (Terms of Use)

Description Nir Magnezi 2012-11-08 12:59:22 UTC
Description of problem:
=======================
Used openstack-demo-install to install Openstack Folsom all-in-one on both Fedora 17 and RHEL 6.3 + EPEL.
I found that some configurations are missing in the script itself. Those configurations are listed at:
https://fedoraproject.org/wiki/Getting_started_with_OpenStack_EPEL
They should be included in the script:

1. Adjust_qpidd_authentication: sed -i -e 's/auth=.*/auth=no/g' /etc/qpidd.conf
2. Disable mDNS: sed -i 's/#mdns_adv = 0/mdns_adv = 0/' /etc/libvirt/libvirtd.conf
3. Setup DHCP control: That depands on the distro (RHEL 6.2 or 6.3)
4. Start support services: service messagebus start && sudo chkconfig messagebus on

Nice to have:
1. Set Openstack services to run on boot:
   a. chkconfig openstack-keystone on
   b. chkconfig openstack-glance-registry on
   c. chkconfig openstack-glance-api on
   d. chkconfig qpidd on
   e. chkconfig libvirtd on
   f. for srv in api cert network objectstore scheduler volume compute ; do    sudo chkconfig openstack-nova-$srv on ;   done
   g. chkconfig httpd on

2. Setup VNC Consoles (install relevant RPMs and add lines to nova.conf)

Version-Release number of selected component (if applicable):
=============================================================
Folsom
openstack-utils-2012.1-2.el6.noarch

How reproducible:
=================
Always.

Steps to Reproduce:
===================

1. Follow: https://fedoraproject.org/wiki/Getting_started_with_OpenStack_EPEL
2. Check nova logs for Error (you'll see the AMQP error)
3. Run an instance and see you cannot use the VNC Console.
4. Reboot the host and check if the openstack services started on boot.
 
Actual results:
===============
1. Openstack services (nova, glance, keystone etc..) won't run on boot.
2. ERROR in nova logs: ERROR nova.openstack.common.rpc.impl_qpid [-] Unable to connect to AMQP server: None(already open)
3. VNC Console doesn't work.

Expected results:
=================
1. Openstack services should be expected to run on boot.
2. There should be no errors and nova (or any other) logs.
3. VNC console is a basic functionality and should work.

Comment 1 Pádraig Brady 2012-11-08 14:28:05 UTC
So I'm not sure about this.

The above documented issues are specific to RHEL, whereas openstack-demo-install is Fedora/RHEL agnostic. Also turning off qpid auto would be a dangerous thing to do automatically, so best done explicitly. One could view the documented RHEL tweaks as buglets, best not papered over by openstack-demo-install

Comment 2 Pádraig Brady 2012-12-07 12:23:48 UTC
So I've added these to openstack-demo-install

1. service messagebus start && chkconfig messagebus on
2. Configing novnc with settings from: https://fedoraproject.org/wiki/Getting_started_with_OpenStack_EPEL#VNC_access

Comment 3 Pádraig Brady 2012-12-07 15:00:37 UTC
I've also just:

3. disabled qpid auth with a warning
4. avoided the libvirt avahi dependency issue
5. fixed tgtd integration on rhel

Releasing a new version momentarily

Comment 4 Fedora Update System 2012-12-07 16:53:06 UTC
openstack-utils-2013.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openstack-utils-2013.1-1.fc17

Comment 5 Fedora Update System 2012-12-07 16:53:57 UTC
openstack-utils-2013.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openstack-utils-2013.1-1.fc18

Comment 6 Fedora Update System 2012-12-07 16:54:56 UTC
openstack-utils-2013.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openstack-utils-2013.1-1.el6

Comment 7 Fedora Update System 2012-12-07 20:44:54 UTC
Package openstack-utils-2013.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-utils-2013.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19946/openstack-utils-2013.1-1.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-12-17 01:31:17 UTC
openstack-utils-2013.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-12-25 20:06:57 UTC
openstack-utils-2013.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-01-12 00:33:41 UTC
openstack-utils-2013.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.